GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::AsyncWriterInterface< W > Class Template Referenceabstract

`#include <stream.h>`

## Public Member Functions
virtual | ~AsyncWriterInterface ()
virtual void | Write (const W &msg, void *tag)=0

## Constructor & Destructor Documentation

template<class W >

virtual grpc::AsyncWriterInterface< W >::~AsyncWriterInterface | ( |  | ) |
| inline virtual

## Member Function Documentation

template<class W >

virtual void grpc::AsyncWriterInterface< W >::Write | ( | const W & | msg,
|  | void * | tag
| ) |  |
| pure virtual

Implemented in grpc::ServerAsyncReaderWriter< R, W >, grpc::ServerAsyncWriter< W >, grpc::ClientAsyncReaderWriter< R, W >, and grpc::ClientAsyncWriter< W >.

The documentation for this class was generated from the following file:

- include/grpc++/stream.h